/*____________________________________________________________________________

  	for MP3Player - Free Delphi Component (OCT. 1999)
  
  	Copyright (C) 1999 Kei Ishida  kei-i@sams.co.jp

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
____________________________________________________________________________*/

extern float n_equalizer[576];
extern int n_enableEQ;

void n_equalizer_init(void)
{
	int i;

	for (i = 0; i < 576; i++)
	{
		n_equalizer[i] = 1.0;
	}
}

void n_equalizer_L3(void* sample, int n)
{
	int i;
	float* s;
	
	s = (float*)sample;
	for (i = 0; i < n; i++) {
		s[i] *= n_equalizer[i];
	}
}

