/*____________________________________________________________________________
  
  	for MP3Player - Free Delphi Component (OCT. 1999)
  	Copyright (C) Kei Ishida  kei-i@sams.co.jp

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
____________________________________________________________________________*/


#include "L3.h"

/* cdct.c */
float coef32[31]; /* 32 pt dct coefs */

/* cupL3.c */
int nBand[2][22];   /* [long/short][cb] */
int sfBandIndex[2][22];   /* [long/short][cb] */
int band_limit_nsb = 32;  /* global for hybrid */
BITDAT bitdat;      /* global for inline use by Huff */

/* cwinm.c */
float wincoef[264] =
{       /* window coefs */
#include "tableawd.h"
};

/* hwin.c */
float win[4][36];

/* mdct.c */
float mdct18w[18];
float mdct18w2[9];
float coef[9][4];
float mdct6_3v[6];
float mdct6_3v2[3];
float coef87;

/* msis.c */
float csa[8][2];    

/* cdct.c */
float equalizer[32];
int enableEQ = 0;

/* narraweq.c */
float n_equalizer[576];
int n_enableEQ = 0;

float* equalizer_addr(int n)
{
	return &(equalizer[n]);
}

int* enableEQ_addr(void)
{
	return &enableEQ;
}

float* n_equalizer_addr(int n)
{
	return &(n_equalizer[n]);
}

int* n_enableEQ_addr(void)
{
	return &n_enableEQ;
}

float* wincoef_addr(int n)
{
	return &(wincoef[n]);
}
